<h1>Créer un jeu en point de vue libre</h1>

<form [formGroup]="freeViewGameForm" (ngSubmit)="submitFreeViewGameForm()">
    <div class="form-group">
        <mat-form-field>
            Nom du jeu:
            <input matInput formControlName="gameName" classe ="form-control" type="text" >
        </mat-form-field>
        <div id="shapeSelect">
            <mat-select placeholder="Type d'objets" formControlName="objectType">
               <mat-option *ngFor="let type of types" [value]="type.value">
                   {{type.view}}
               </mat-option>
            </mat-select>
        </div>
        <div>
            Quantitée d'objet:
            <mat-form-field id="objectQuantity">
                <input matInput formControlName="objectQuantity" type="number">
            </mat-form-field>
         </div>
         <label class="formCheckInline" formArrayName="checkBoxes" *ngFor="let checkBoxe of freeViewGameForm.controls.checkBoxes.controls; let i = index;">
            <mat-checkbox type="checkbox" formControlName="{{i}}">
                 {{checkBoxes[i].name}}
            </mat-checkbox>
         </label>
    </div>
    <div [hidden]="isSendingForm">
        <button  mat-raised-button ng-click="displayLoad!=displayLoad" type="submit" [disabled]="freeViewGameForm.invalid || freeViewGameForm.prestine">Soumettre</button>
        <button  mat-dialog-close=true mat-raised-button type="button">Annuler</button>
    </div>
    <div class="loadingSpinner"[hidden]="!isSendingForm" >
        <mat-spinner [diameter]="40"></mat-spinner>
        Sending Form
        </div>
</form>